#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include "saeP1.h"
#include "../annexe/saeAnnexe.h"

void menuAdmin(void){
    printf("#--------------------------------------------------------------------#\n");
    printf("|                                                                    |\n");
    printf("|                             SAE S1.02                              |\n");
    printf("|                                                                    |\n");
    printf("#--------------------------------------------------------------------#\n\n");
    printf("Codes correspondant aux différentes actions :\n\n");
    printf("1 : Modifier le nombre de places dans un département.\n");
    printf("2 : Créer un département dans un IUT.\n");
    printf("3 : Supprimer un département d’un IUT.\n");
    printf("4 : Lancer et arrêter la phase de candidature.\n");
    printf("5 : Modifier le nom d'un responsable de département.\n");
    printf("9 : Revenir à l'écran de sélection du profil.\n\n");
    printf("#--------------------------------------------------------------------#\n\n");
    printf("Choisissez l'action que vous voulez exécuter : ");
}

void modifPlaces(VilleIUT* tiut){
    int quit=0;
    printf("Entrez la ville correspondant à l'IUT à modifier (Q pour abandonner):");
    char* ville[31];
    scanf("%*c%s",&ville);
    if(ville=="Q") quit=1;
    while(!quit && !rechercheVille(tiut,ville)){
        printf("Entrez la ville correspondant à l'IUT à modifier (Q pour abandonner):");
        scanf("%*c%s",&ville);
        if(ville=="Q") quit=1;
    }
    quit=0
    printf("Entrez le département à modifier (Q pour abandonner):");
    char* dep[31];
    scanf("%*c%s",&dep);
    if(dep=="Q") quit=1;
    while(!quit && !existe(tiut->ldept,dep)){
        printf("Entrez le département à modifier (Q pour abandonner):");
        scanf("%*c%s",&dep);
        if(dep=="Q") quit=1;
    }
    break;
    //PAS FINI
}